Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1117636

Description of problem:

I was trying to remove a CV version from a selected env. While deletion, I found that some of content-hosts are also tied up with

same version. So as per UI help tip, I clicked on 'Here' hyperlink and page starts refreshing and keep on refreshing.

Following log entries generated during refresh in production.log

---

Processing by Bastion::BastionController#index as HTML

Parameters: {"search"=>"content_view:\"cv-rhel65-ks\" AND (environment:\"Library\" OR environment:\"Dev\")",

"bastion_page"=>"content_views", "path"=>"2/versions/2/delete/undefined"}

Rendered home/_submenu.html.erb (11.4ms)

Rendered home/_user_dropdown.html.erb (3.4ms)

Read fragment views/tabs_and_title_records-1 (0.3ms)

Rendered home/_topbar.html.erb (19.8ms)

Rendered layouts/base.html.erb (23.1ms)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/engines/bastion/app/views/bastion/layouts/application.html.haml

(28.2ms)

Completed 200 OK in 57ms (Views: 29.9ms | ActiveRecord: 2.9ms)

--

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140626.1, RC beta build

How reproducible:

always

Steps to Reproduce:

1. create a CV, publish and promote it to next env ( e.g. dev)

2. register a content-host with same cv and env 'dev' or create a activation-key that uses same CV version

3. now try to delete the cv version

Actual results:

page starts refreshes as soon as we click on 'Here' hyperlink while removing CV version

Please note that it appears at two places, 1) to disassociate content-host 2) to disassociate activation-key from the selected

content-view. Please see attached screenshots for more context.

Expected results:

The 'here' hyper link should open the appropriate page

Additional info:

Associated revisions

Revision e034e395 - 07/30/2014 02:17 PM - Walden Raines
https://bugzilla.redhat.com/show_bug.cgi?id=1117636


Fixes #6821/BZ1117636: fix link to activation keys on CV delete page.

The link to manage individual activation keys was incorrectly using

$state.href().  This commit fixes the usage of $state.href() when

constructing the activation keys link.

http://projects.theforeman.org/issues/6821

https://bugzilla.redhat.com/show_bug.cgi?id=1117636

Revision c1a62787 - 07/30/2014 02:17 PM - Walden Raines

Fixes #6821/BZ1117636: fix link to activation keys on CV delete page.

The link to manage individual activation keys was incorrectly using

$state.href().  This commit fixes the usage of $state.href() when

constructing the activation keys link.

http://projects.theforeman.org/issues/6821

https://bugzilla.redhat.com/show_bug.cgi?id=1117636

Revision f401968b - 07/31/2014 10:05 AM - Walden Raines

Merge pull request #4495 from waldenraines/6821

Fixes #6821/BZ1117636: fix link to activation keys on CV delete page.

Revision 53602729 - 07/31/2014 10:05 AM - Walden Raines

Merge pull request #4495 from waldenraines/6821

Fixes #6821/BZ1117636: fix link to activation keys on CV delete page.

Revision 3eb718bd - 09/03/2014 04:51 PM - Walden Raines

Fixes #6821/BZ1117636: fix link to content hosts on CV delete page.

The link to manage individual content hosts was incorrectly using

$state.href(). This commit fixes the usage of $state.href() when

constructing the content hosts link.

http://projects.theforeman.org/issues/6821

https://bugzilla.redhat.com/show_bug.cgi?id=1117636

Revision 1fb5faf3 - 09/03/2014 04:51 PM - Walden Raines

Fixes #6821/BZ1117636: fix link to content hosts on CV delete page.

The link to manage individual content hosts was incorrectly using

$state.href(). This commit fixes the usage of $state.href() when

constructing the content hosts link.

http://projects.theforeman.org/issues/6821

https://bugzilla.redhat.com/show_bug.cgi?id=1117636

Revision 913762a2 - 09/04/2014 08:34 AM - Walden Raines

Merge pull request #4638 from waldenraines/6821

Fixes #6821/BZ1117636: fix link to content hosts on CV delete page.

History

#1 - 07/29/2014 02:42 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4495 added

- Pull request deleted ()

#2 - 07/31/2014 11:01 AM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset katello|e034e3957b24b855cf30aaf7a110091551cfa4de.

#3 - 08/01/2014 08:06 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13

#5 - 09/03/2014 04:44 PM - Walden Raines

- Status changed from Closed to Assigned

- Target version changed from 54 to 55

#6 - 09/03/2014 04:46 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

#7 - 09/04/2014 09:01 AM - Walden Raines

- Status changed from Ready For Testing to Closed

Applied in changeset katello|3eb718bdfbaa7011af9c42e9bd29268687093a7f.
